ProyectoCrm/src/app/Modulos/CuponModulo/Paginas/fw-cupon/fw-cupon.page.html

<div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom">
  <h5>{{ tTitulo }}</h5>
  <div class="btn-toolbar mb-2 mb-md-0">
    <div class="btn-group mr-2">
      <button class="btn" type="button" [ngClass]="{'btn-secondary':tNuevo==false, 'btn-outline-secondary':tNuevo==true}"><i class="fas fa-edit"></i></button>
      <button class="btn" type="button" [ngClass]="{'btn-secondary':tNuevo==true, 'btn-outline-secondary':tNuevo==false}" (click)="Nuevo()"><i class="fas fa-plus"></i></button>
    </div>
  </div>
</div>
<div class="row">
  <div class="col-12 col-lg-6">
    <div class="card shadow">
      <div class="card-header">
        <div class="row">
          <div class="col-12">
            <h6 class="card-title">Lista de Cupones</h6>
          </div>
        </div>
      </div>
      <div class="card-body">
        <div class="form-row">
          <div class="form-group col-4">
            <select class="custom-select custom-select-sm" [(ngModel)]="tFiltroActual">
              <option *ngFor="let tFiltro of tFiltros" [ngValue]="tFiltro">{{tFiltro.Filtro}}</option>
            </select>
          </div>
          <div class="form-group col-8">
            <input class="form-control form-control-sm" type="text" placeholder="Ingrese busqueda" [(ngModel)]="tFiltroBusqueda"/>
          </div>
        </div>
        <div class="form-row">
          <div class="form-group col-12">
            <div class="table-responsive-lg" style="overflow:scroll">
              <table class="table table-sm table-striped table-hover">
                <thead>
                  <tr>
                    <th></th>
                    <th>
                      <h6 class="font-weight-bold">Cupòn</h6>
                    </th>
                    <th>
                      <h6 class="font-weight-bold">Descripción</h6>
                    </th>
                  </tr>
                </thead>
                <tbody>
                  <tr *ngFor="let tCuponFor of tCupones | buscar : {'campoFiltro' : tFiltroActual, 'busquedaFiltro' : tFiltroBusqueda} | slice: (tPagina-1) * tTamanoPag : (tPagina-1) * tTamanoPag + tTamanoPag ; let jv = index">
                    <th class="text-nowrap">
                      <button class="btn btn-sm btn-danger mr-1" type="button" [disabled]="!tPermisoEliminar" (click)="Seleccionar_Cupon_Eliminar(tCuponFor)"><i class="fas fa-trash-alt"></i></button>
                      <button class="btn btn-sm btn-warning ml-1" type="button" (click)="Seleccionar_Cupon(tCuponFor, jv)"><i class="fas fa-edit text-white"></i></button>
                    </th>
                    <td>
                      <h6 class="text-xs">{{ tCuponFor.Codcupon }}</h6>
                    </td>
                    <td>
                      <h6 class="text-xs text-nowrap">{{ tCuponFor.Descripcion }}</h6>
                    </td>
                  </tr>
                </tbody>
              </table>
            </div>
          </div>
        </div>
        <div class="form">
          <div class="col-12">
            <ngb-pagination class="d-flex justify-content-center" [boundaryLinks]="true" [maxSize]="3" [rotate]="true" [collectionSize]="tCupones.length" [(page)]="tPagina" [pageSize]="tTamanoPag"></ngb-pagination>
          </div>
        </div>
      </div>
      <div class="card-footer text-right">
        <div class="row">
          <div class="col-2 text-right font-weight-bold">
            <label class="h6 form-label align-middle">Cantidad:</label>
          </div>
          <div class="col-2 text-right font-weight-bold">
            <label class="h6 form-label align-middle">{{ tCupones.length }}</label>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="col-12 col-lg-6">
    <div class="card shadow">
      <div class="card-header">
        <div class="row">
          <div class="col-12">
            <h6 class="card-title">Detalles del Cupon</h6>
          </div>
        </div>
      </div>
      <div class="card-body">
        <div class="row">
          <div class="col-12">
            <div class="row">
              <div class="col-12">
                <app-fw-cupon-detalle-cabecera [(Cupon)]="tCuponActual"></app-fw-cupon-detalle-cabecera>
              </div>
            </div>
          </div>
        </div>
        <div class="row">
          <div class="col-12">
            <div class="form-row">
              <div class="form-group col-12">
                <ul class="nav nav-tabs" role="tablist">
                  <li class="nav-item"><a class="nav-link active" data-toggle="tab" href="#Informacion" role="tab" aria-controls="Informacion" aria-selected="true" id="Informacion-tab">Información</a></li>
                  <li class="nav-item"><a class="nav-link" data-toggle="tab" href="#Cliente" role="tab" aria-controls="Cliente" aria-selected="true" id="Cliente-tab">Cliente</a></li>
                </ul>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group col-12">
                <div class="tab-content" id="mvDatos">
                  <div class="tab-pane fade show active" role="tabpanel" aria-labelledby="Informacion-tab" id="Informacion">
                    <app-fw-cupon-detalle-datos #DetalleDatos="" [(Cupon)]="tCuponActual" [Estatus]="tEstatus" [Nuevo]="tNuevo" [Tipos]="tTipos" [Empresa]="tEmpresaActual" id="DetalleDatos"></app-fw-cupon-detalle-datos>
                  </div>
                  <div class="tab-pane fade" role="tabpanel" aria-labelledby="Cliente-tab" id="Cliente">
                    <app-fw-cupon-detalle-cliente [(Cupon)]="tCuponActual" [Nuevo]="tNuevo" [BloquearBuscar]="tBloquearBuscar" (BuscarCliente)="BuscarCliente($event)" (AbrirModalClientes)="AbrirModalClientes()"></app-fw-cupon-detalle-cliente>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="card-footer">
        <div class="row">
          <div class="col-12 col-lg-4 offset-lg-4">
            <button class="btn btn-secondary btn-icon-split" type="button" (click)="Cancelar()"><span class="icon text-white-50"><i class="fas fa-times"></i></span><span class="text">Cancelar</span></button>
          </div>
          <div class="col-12 col-lg-4">
            <button class="btn btn-primary btn-icon-split" type="button" (click)="Agregar()" [disabled]="!tHabilitarGuardar"><span class="icon text-white-50"><i class="fas fa-save"></i></span><span class="text">Guardar</span></button>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

ProyectoCrm/src/app/Modulos/CuponModulo/Paginas/fw-cupon/fw-cupon.page.pug
extend ../../../../ComponentesPug/FormulariosConListados/Plantilla.pug

block variables
    - var Titulo = "{{ tTitulo }}"
    - var TituloListado = "Lista de Cupones"
    - var CabeceraListado = ["Cupòn", "Descripción"]
    - var CantidadListado = "{{ tCupones.length }}"
    - var TituloDatos = "Detalles del Cupon"
    - var TamanoColeccion = "tCupones.length"
    - var PaginaActual = "tPagina"
    - var TamanoPagina = "tTamanoPag"

block ListadoContenido
  tr(*ngFor="let tCuponFor of tCupones | buscar : {'campoFiltro' : tFiltroActual, 'busquedaFiltro' : tFiltroBusqueda} | slice: (tPagina-1) * tTamanoPag : (tPagina-1) * tTamanoPag + tTamanoPag ; let jv = index")
    th.text-nowrap
      button(type="button", [disabled]="!tPermisoEliminar", (click)="Seleccionar_Cupon_Eliminar(tCuponFor)").btn.btn-sm.btn-danger.mr-1
        i.fas.fa-trash-alt
      button(type="button", (click)="Seleccionar_Cupon(tCuponFor, jv)").btn.btn-sm.btn-warning.ml-1
        i.fas.fa-edit.text-white
    td
      h6.text-xs {{ tCuponFor.Codcupon }}
    td
      h6.text-xs.text-nowrap {{ tCuponFor.Descripcion }}

block ContenidoDatosCabecera
  div.row
    div.col-12
      app-fw-cupon-detalle-cabecera([(Cupon)]="tCuponActual")
block ContenidoDatosInformacion
  div.form-row
    div.form-group.col-12
      ul(role="tablist").nav.nav-tabs
        li.nav-item
          a(data-toggle="tab",
              href="#Informacion",
              role="tab",
              aria-controls="Informacion",
              aria-selected="true")#Informacion-tab.nav-link.active Información
        li.nav-item
          a(data-toggle="tab",
              href="#Cliente",
              role="tab",
              aria-controls="Cliente",
              aria-selected="true")#Cliente-tab.nav-link Cliente
  div.form-row
    div.form-group.col-12
      div.tab-content#mvDatos
        div(role="tabpanel", aria-labelledby="Informacion-tab").tab-pane.fade.show.active#Informacion
          app-fw-cupon-detalle-datos(#DetalleDatos="",
                                      [(Cupon)]="tCuponActual",
                                      [Estatus]="tEstatus",
                                      [Nuevo]="tNuevo",
                                      [Tipos]="tTipos",
                                      [Empresa]="tEmpresaActual")#DetalleDatos
        div(role="tabpanel", aria-labelledby="Cliente-tab").tab-pane.fade#Cliente
          app-fw-cupon-detalle-cliente([(Cupon)]="tCuponActual",
                                       [Nuevo]="tNuevo",
                                       [BloquearBuscar]="tBloquearBuscar",
                                       (BuscarCliente)="BuscarCliente($event)",
                                       (AbrirModalClientes)="AbrirModalClientes()")
